Subject: Re: many cygwin shells/tools (tcsh, fish, bash, and zsh) crashing STATUS_ACCESS_VIOLATION
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Tue, 10 Aug 2021 00:08:16 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-08-09 23:16, David Dyck via Cygwin wrote:
> On Mon, Aug 9, 2021 at 10:04 PM Brian Inglis  wrote:
>> It's a known problem that after Windows updates, especially Insider,
>> quarterly, or biannually e.g. [20]20H2 [20]2009, it's often advisable to
>> rerun Cygwin Setup and allow packages to be upgraded in case patches are
>> made for new releases, and DLLs be rebased in case address space is
>> occupied by updated Windows components.
> 
> I did run cygwin setup, and it did not indicate any pending updates
> that were required.
> I'll try to do that more frequently, but now I am stuck, any other
> ideas to try to get the tools running again

If you can, run "rebase-trigger full", or if you can't, run
"touch /var/cache/rebase/fullrebase" or do the equivalent with any tools 
available, then try rerunning Cygwin Setup, to see if that will 
stabilize your system.

You may also want to check your Windows Preview release docs, and 
articles about it, for features such as address changes or randomization 
(e.g. ASLR) being experimentally enabled on some % of systems, or 
mandated, and applied to dlls, which will break Cygwin.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple